Source: aiohttp-retry
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: 
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-aiohttp,
 python3-pytest <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://github.com/inyutin/aiohttp_retry
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-retry
Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-retry.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-aiohttp-retry
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Simple aiohttp retry client
 This library add retrying feature to aiohttp HTTP client and provides an API
 being exactly the same as original ClientSession object.
 .
 You can define your own timeouts logic or use:
  - ExponentialRetry with exponential backoff
  - RandomRetry for random backoff
  - ListRetry with backoff you predefine by list
